Skip to main content
POST
UpdateAutomation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

id
string
required
read-only

The id field.

Body

application/json

The UpdateAutomationRequest message.

automation
Automation · object

The Automation message.

This message contains a oneof named disabled_reason. Only a single field of the following list may be set at a time:

  • circuitBreaker
updateMask
string | null

Response

200 - application/json

Successful response

The UpdateAutomationResponse message.

automation
Automation · object

The Automation message.

This message contains a oneof named disabled_reason. Only a single field of the following list may be set at a time:

  • circuitBreaker
webhookHmacSecret
string

If we create a new trigger with an HMAC secret we return the HMAC on this field